List Comments
Returns Gamma-compatible comments for an event, market, or series scope
Query Parameters
limit?integer
Maximum number of rows to return.
Range
1 <= value <= 100Default
20offset?integer
Offset for pagination.
Range
0 <= valueDefault
0order?string
Sort column for the response.
parent_entity_type?string
Parent entity type
Value in
- "Event"
- "Series"
- "market"
parent_entity_id?string
Parent entity id
event_slug?string
Direct event slug shortcut
holders_only?boolean
Only comments from holders
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/comments"[ { "id": "string", "body": "string", "parentEntityType": "string", "parentEntityID": 0, "parentCommentID": "string", "userAddress": "string", "replyAddress": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "profile": { "name": "string", "pseudonym": "string", "displayUsernamePublic": true, "bio": "string", "isMod": true, "isCreator": true, "proxyWallet": "string", "baseAddress": "string", "profileImage": "string", "profileImageOptimized": {}, "positions": [ { "tokenId": "string", "positionSize": "string" } ] }, "reactions": [ {} ], "reportCount": 0, "reactionCount": 0, "replyCount": 0, "replies": [ { "id": "string", "body": "string", "parentEntityType": "string", "parentEntityID": 0, "parentCommentID": "string", "userAddress": "string", "replyAddress": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "profile": { "name": "string", "pseudonym": "string", "displayUsernamePublic": true, "bio": "string", "isMod": true, "isCreator": true, "proxyWallet": "string", "baseAddress": "string", "profileImage": "string", "profileImageOptimized": {}, "positions": [ { "tokenId": "string", "positionSize": "string" } ] }, "reactions": [ {} ], "reportCount": 0, "reactionCount": 0, "replyCount": 0, "replies": [] } ] }]{ "type": "bad request", "error": "q is required"}{ "type": "not found error", "error": "id not found"}